/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.nlpack.generator.resourcebundle;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoNLpackGenerator]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 * 既知のロケール<BR>
 * <UL>
 * <LI>ja
 * </UL>
 */
public class BlancoNLpackGeneratorResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoNLpackGeneratorResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoNLpackGenerator]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoNLpackGeneratorResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/nlpack/generator/resourcebundle/BlancoNLpackGenerator");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoNLpackGeneratorResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoNLpackGenerator]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoNLpackGeneratorResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/nlpack/generator/resourcebundle/BlancoNLpackGenerator", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoNLpackGeneratorResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoNLpackGenerator]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoNLpackGeneratorResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/nlpack/generator/resourcebundle/BlancoNLpackGenerator", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[BlancoNLpackGenerator], key[TARGET_LOCALE]
     *
     * [ja] (ja)<br>
     *
     * @return key[TARGET_LOCALE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getTargetLocale() {
        // 初期値として定義書の値を利用します。
        String strFormat = "ja";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("TARGET_LOCALE");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoNLpackGenerator], key[PROPERTIES_HEADER]
     *
     * [# initial generation - blancoNLpackGenerator and Pleiades.] (ja)<br>
     *
     * @return key[PROPERTIES_HEADER]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getPropertiesHeader() {
        // 初期値として定義書の値を利用します。
        String strFormat = "# initial generation - blancoNLpackGenerator and Pleiades.";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("PROPERTIES_HEADER");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }
}
